#include "abstand.h"

Abstand::Abstand() {
	abstand[0] = ABSTAND_FEHLER;
	abstand[1] = ABSTAND_FEHLER;
	abstand[2] = ABSTAND_FEHLER;
	abstand[3] = ABSTAND_FEHLER;
}

Abstand::~Abstand() {
}

void Abstand::Aktualisieren() {
	// Gehe alle 4 Sensoren durch
	for(int i=0;i<4;i++) {
		abstand[i] = board.GetAbstand(i); // Und übernehme die Werte direkt vom Sensor
	}
}

int Abstand::GetAbstand(int i) {
	if((i < 0) || (i > 3)) return ABSTAND_FEHLER; //angebote rausfiltern ;)
	
	return abstand[i]; 
}
